Bug 143195 - pstops does not resize ps file properly
pstops does not resize ps file properly
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-17 04:23 EST by Mark Nelson
Modified: 2008-02-03 13:20 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-03 13:20:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
postscript file that breaks pstops as used by cups (106.85 KB, application/postscript)
2005-01-04 05:59 EST, Mark Nelson
no flags Details
cups config file (18.62 KB, text/plain)
2005-02-08 06:08 EST, Mark Nelson
no flags Details
printers.conf file (886 bytes, text/plain)
2005-02-08 06:09 EST, Mark Nelson
no flags Details

  None (edit)
Description Mark Nelson 2004-12-17 04:23:45 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041128 Firefox/1.0 (Debian package 1.0-4)

Description of problem:
We have a postscript file, which has the line -

newpath  gsave  90 r 0 -612 t  28 20 t .25 .25 scale  gsave

This should scale an a2 page to a4, we have carried out the following
tests - 

1  Printed to printer from core 3 page does not scale, printed to
printer from XP, printer prints page correctly.  

2  Converted the document to pdf using pstopdf, document prints correctly.

3  Commented out the above line and printed from XP, I got exact
result as under linux.  



Version-Release number of selected component (if applicable):
psutils-1.17-23

How reproducible:
Always

Steps to Reproduce:
1. send file to printer using lpr
2.
3.
    

Actual Results:  Printed a quarter of the page (bottom left quarter).


Expected Results:  A document printed on A4   

Additional info:

Printer is a HP Laserjet 4100dtn, the machine is acting as a print
server for 60 desktops the majority running  FC1, one running FC2 and
one running Redhat 7.3.


The previous print server was running Redhat 7.3, the user reported
that the document previously printed correctly under Redhat 7.3.

I can supply the document if required.
Comment 1 Tim Waugh 2004-12-20 07:18:20 EST
I'm not quite sure why this is filed against psutils -- is the PostScript file
generated by one of the psutils programs?
Comment 2 Mark Nelson 2004-12-21 17:10:47 EST
Sorry I should have added that pstops is used by cups when printing to 
postscript printers.  When I print directly to the printer using Windows the 
postscript file prints correctly.  When I print to the same printer using cups, 
it does not print correctly.  I assume that the cause of the file not printing 
correctly is pstops.  Hope this helps.

Comment 3 Tim Waugh 2004-12-24 06:01:02 EST
Oh, you mean /usr/lib/cups/filter/pstops -- that's different to /usr/bin/pstops.
Comment 4 Tim Waugh 2004-12-24 06:07:33 EST
Please attach:

1. the output of 'printconf-tui --Xexport' (making sure to remove any passwords
it may contain), and
2. an example PostScript file that demonstrates the problem

Thanks.
Comment 5 Mark Nelson 2005-01-04 05:59:20 EST
Created attachment 109322 [details]
postscript file that breaks pstops as used by cups

Postscript file that demonstates that the pstops used by cups is not processing
the scale statement within the post script correctly
Comment 6 Tim Waugh 2005-02-02 11:01:51 EST
Thanks.  Please also attach the output of 'printconf-tui --Xexport' (making sure
to remove any passwords it may contain).
Comment 7 Mark Nelson 2005-02-05 14:34:29 EST
<?xml version="1.0"?>
<adm_context VERSION="0">
  <id NAME="local" SERIAL="1">
    <null/>
    <null/>
    </id>
  <datatree>
    <printconf TYPE="LIST">
      <print_queues TYPE="LIST">
        </print_queues>
      <sharing_globals TYPE="LIST">
        <browsing TYPE="BOOL" VALUE="TRUE"/>
        </sharing_globals>
      </printconf>
    </datatree>
  </adm_context>
Comment 8 Tim Waugh 2005-02-07 07:08:14 EST
How have you configured CUPS?
Comment 9 Mark Nelson 2005-02-08 06:08:42 EST
Created attachment 110787 [details]
cups config file
Comment 10 Mark Nelson 2005-02-08 06:09:21 EST
Created attachment 110788 [details]
printers.conf file
Comment 11 Tim Waugh 2005-03-30 10:50:19 EST
No, I mean did you use system-config-printer to configure it, or did you use the
web interface?
Comment 12 Mark Nelson 2005-04-06 07:20:04 EDT
Sorry I used the web interface.
Comment 13 Matthew Miller 2006-07-10 17:15:08 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 14 petrosyan 2008-02-03 13:20:44 EST
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to "INSUFFICIENT_DATA", however if you still
experience this problem after updating to our latest Fedora
release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.